Package org.apache.cxf.common.xmlschema

# Class InvalidXmlSchemaReferenceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.cxf.common.xmlschema.InvalidXmlSchemaReferenceException

All Implemented Interfaces:
  `Serializable`

public class InvalidXmlSchemaReferenceException extends RuntimeException
Exception thrown when we detect an attempt to set an impossible XML Schema reference.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidXmlSchemaReferenceException()`
  `InvalidXmlSchemaReferenceException(String message)`
  `InvalidXmlSchemaReferenceException(String message, Throwable cause)`
  `InvalidXmlSchemaReferenceException(Throwable cause)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidXmlSchemaReferenceException

    public InvalidXmlSchemaReferenceException()

  - ### InvalidXmlSchemaReferenceException

    public InvalidXmlSchemaReferenceException(String message)
    Parameters:
      `message` -

  - ### InvalidXmlSchemaReferenceException

    public InvalidXmlSchemaReferenceException(Throwable cause)
    Parameters:
      `cause` -

  - ### InvalidXmlSchemaReferenceException

    public InvalidXmlSchemaReferenceException(String message, Throwable cause)
    Parameters:
      `message` -
      `cause` -